# phpDox - Query\QueryBuilderInterface::getCompiledSelect

# Query\QueryBuilderInterface::getCompiledSelect

#### Returns the generated 'select' sql query

## Signature

`public function getCompiledSelect([string $table = '', [boolean $reset = TRUE]] )`

## Parameters

`$table` — string
`$reset` — boolean

## Returns

string

## Violations

### PHPMessDetector

Line | Rule | Message
--- | --- | ---
462 | BooleanArgumentFlag | The method getCompiledSelect has a boolean flag argument $reset, which is a certain sign of a Single Responsibility Principle violation.